<template>
    <Layout>
        <PageHeader>
            <template v-slot:title>Meet the product & engineering teams</template>
            <template v-slot:subtitle>
                We love to talk about the stuff we do. Discover the events to which we participate and get to know us better.
            </template>
        </PageHeader>

        <div class="container px-5 py-12 mx-auto">
            <section>
                <div class="text-left pb-12">
                    <h2 class="text-3xl text-smalt-blue-700">Latest Videos on Youtube</h2>
                </div>
                <div class="flex flex-wrap -m-4">
                    <RecordCard v-for="edge in $page.records.edges" :key="edge.node.id" :record="edge.node">
                        <template v-slot:link>
                            <g-link :to="edge.node.link" class="text-smalt-blue-500 hover:text-black inline-flex items-center">
                                Show on Youtube
                                <svg
                                    class="w-4 h-4 ml-2"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor"
                                    stroke-width="2"
                                    fill="none"
                                    stroke-linecap="round"
                                    stroke-linejoin="round"
                                >
                                    <path d="M5 12h14" />
                                    <path d="M12 5l7 7-7 7" />
                                </svg>
                            </g-link>
                        </template>
                    </RecordCard>
                </div>
            </section>
        </div>

        <section class="bg-shark-100 body-font text-center sm:text-left">
            <div class="container py-12 mx-auto px-4 md:px-0">
                <div class="w-full lg:w-3/4 flex flex-col md:flex-row md:items-center items-start mx-auto">
                    <p class="flex-grow sm:pr-16 text-2xl font-medium title-font text-smalt-blue-700">Want to see more?</p>
                    <g-link
                        to="https://www.youtube.com/playlist?list=PLGG1jPu-HLW2Reolb9JqmWnUFbfIYvjhi"
                        class="self-center md:self-auto flex-shrink-0 text-white bg-pink-600 py-2 px-8 focus:outline-none hover:bg-pink-700 rounded text-lg mt-10 md:mt-0 transition-colors duration-100"
                    >
                        Show all videos on Youtube
                    </g-link>
                </div>
            </div>
        </section>

        <Conferences />
    </Layout>
</template>

<page-query>
    query {
        records: allYoutubeTech(limit: 3, sortBy: "pubDate", order: DESC) {
            edges {
                node {
                    id
                    title
                    video: link
                    link
                    author
                    pubDate
                }
            }
        }
    }
</page-query>

<script>
    import PageHeader from '~/components/PageHeader';
    import RecordCard from '~/components/RecordCard';
    import Conferences from '~/components/sections/Conferences';

    const JOY_CORE_CDN_URL = 'https://cdn.jsdelivr.net/npm/@maltjoy/core@1.0.0-beta.0.1/dist/joy';

    export default {
        metaInfo() {
            return this.$seo({
                title: 'Malt.engineering - Events',
                description: 'We love to talk about the stuff we do at Malt. Meet us at our events and learn more about what we do.',
                link: [
                    {
                        rel: 'stylesheet',
                        href: `${JOY_CORE_CDN_URL}/joy.css`,
                    },
                ],
                script: [
                    {
                        type: 'module',
                        src: `${JOY_CORE_CDN_URL}/joy.esm.js`,
                        body: true,
                    },
                    {
                        src: `${JOY_CORE_CDN_URL}/joy.js`,
                        body: true,
                        noModule: true,
                    },
                ],
            });
        },
        components: {
            PageHeader,
            RecordCard,
            Conferences,
        },
    };
</script>
